#include <stdio.h>

/*------------------------------------*/
/* bypass literal header */
void delit(FILE * inpf)
{
  unsigned char dbuf[256];
  int ll, i, j;

  j = fgetc(inpf);              /* should be literal packet */
  if ((j & 0xfc) != 0xac)
    ungetc(j, inpf);
  else {
    ll = 1 << (j & 3);          /* length of length */
    fread(dbuf, 1, ll, inpf);
    for (j = 0, i = 0; j < ll; j++)
      i = (i << 8) + dbuf[j];
    fgetc(inpf);
    j = fgetc(inpf);
    fread(dbuf, 1, j, inpf);
    fread(dbuf, 1, 4, inpf);
  }
}
